package org.example.Entity.System.Audit;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.util.Map;

import static org.example.Utils.DataTableUtil.get;
import static org.example.Utils.NativeExtensionUtils.ToInt32;

public class AuditTypeStep extends AuditBase {
    public AuditTypeStep(Map<String, Object> row) {
        super(row);
    }

    @JsonIgnore
    public int getBillType() {
        return ToInt32(get(row, "id", "0"));
    }

    ;//+get

    @JsonIgnore
    public String getStepBackCode() {
        return (String) get(row, "stepBackCode", "");
    }

    ;//+get

    @JsonIgnore
    public String getStepTime() {
        return get(row, "StepTime", "") + "";
    }

    ;//+get

    @JsonIgnore
    public Boolean getAutoStep() {
        return (Boolean) get(row, "AutoStep", false);
    }

    ;//+get

    @JsonIgnore
    public String getTypeKey() {
        return get(row, "typeKey", "") + "";
    }

    ;//+get

    @JsonIgnore
    public String getStepOverCond() {
        return (String) get(row, "StepOverCond", "");
    }

    ;//+get

    @JsonIgnore
    public String getAutoStepCond() {
        return (String) get(row, "AutoStepCond", "");
    }

    ;//+get


}
